import tkinter

from tkinter import messagebox


class MyApp():

	def __init__(self, root):
		root.config(bg="yellow")
		self.setGUI()

	def setGUI(self):
		root.columnconfigure(1, weight=1)  # setzt die 1. Spalte auf fill

		self.label1 = tkinter.Label(root)
		self.label1["text"] = "Eingabe"
		self.label1.config(foreground = "blue" )
		self.label1.config(background = "red") 
		self.label1.grid(row=0, column=0, padx="10",pady="10")

		self.inputui = tkinter.Entry(root, background = "white", relief=tkinter.SUNKEN)
		self.inputui.grid(row=0, column=1,sticky="NSEW",padx="10",pady="10")

		self.var_name = tkinter.StringVar()
		self.var_name.set("Ihr Name...")
		self.inputui["textvariable"] = self.var_name

# ------------------------------------------

		buttonframe = tkinter.Frame(root)
		buttonframe.config(background = "blue") #"#FF0000"
		buttonframe.grid(row=1, column=0, columnspan=2, padx="10",pady="10")


		self.bnAction = tkinter.Button(buttonframe)
		self.bnAction["text"] = "Umdrehen"
		self.bnAction["command"] = self.onReverse
		self.bnAction.grid(row=0, column=0, padx="10",pady="10")

		self.bnOk = tkinter.Button(buttonframe)
		self.bnOk["text"] = "Ok"
		self.bnOk["command"] = root.quit
		self.bnOk.grid(row=0, column=1, padx="10",pady="10")

# ------------------------------------------

	def onReverse(self):
		self.var_name.set( self.var_name.get()[::-1] )
		messagebox.showinfo( "Hello Python", "Hello World")



root = tkinter.Tk()
root.title("Mein Fenster")
root.geometry("250x150")
app = MyApp(root)
root.mainloop()